> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ermbot.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Shifts



## OpenAPI

````yaml GET /api/v1/shifts/search
openapi: 3.0.3
info:
  title: ERM Public API
  version: 1.0.0
  description: API for Employee Resource Management
servers:
  - url: https://core.ermbot.xyz
    description: ERM API Server
security:
  - ApiKeyAuth: []
    GuildAuth: []
paths:
  /api/v1/shifts/search:
    get:
      summary: Search shifts
      parameters:
        - name: user_id
          in: query
          schema:
            type: integer
            format: int64
        - name: username
          in: query
          schema:
            type: string
        - name: nickname
          in: query
          schema:
            type: string
        - name: type
          in: query
          schema:
            type: string
        - name: start_epoch
          in: query
          schema:
            type: number
            format: float
        - name: end_epoch
          in: query
          schema:
            type: number
            format: float
        - name: breaks
          in: query
          schema:
            type: boolean
        - name: moderations
          in: query
          schema:
            type: boolean
        - name: added_time
          in: query
          schema:
            type: integer
            format: int64
        - name: removed_time
          in: query
          schema:
            type: integer
            format: int64
        - name: after
          in: query
          schema:
            type: number
            format: float
        - name: limit
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: Search results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShiftResponse'
components:
  schemas:
    ShiftResponse:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: object
                properties:
                  $oid:
                    type: string
              username:
                type: string
              nickname:
                type: string
              user_id:
                type: integer
                format: int64
              type_:
                type: string
              start_epoch:
                type: number
                format: float
              breaks:
                type: array
                items:
                  type: object
              guild:
                type: integer
                format: int64
              moderations:
                type: array
                items:
                  type: object
              added_time:
                type: integer
              removed_time:
                type: integer
              end_epoch:
                type: number
                format: float
        pagination:
          type: object
          properties:
            next_cursor:
              type: number
              format: float
            limit:
              type: integer
            has_more:
              type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    GuildAuth:
      type: apiKey
      in: header
      name: Guild

````